package com.pixelized.headache.ui.navigation.destination

import androidx.navigation3.runtime.EntryProviderScope
import com.pixelized.headache.ui.navigation.home.HomeNavigator
import com.pixelized.headache.ui.navigation.main.MainDestination
import com.pixelized.headache.ui.navigation.main.MainNavigator
import com.pixelized.headache.ui.page.home.HomePage

data object HomePageDestination : MainDestination

fun EntryProviderScope<Any>.homeDestinationEntry(
    navigator: HomeNavigator,
) {
    entry<HomePageDestination> {
        HomePage(
            navigator = navigator,
        )
    }
}

fun MainNavigator.navigateToHomePage() {
    goTo(HomePageDestination)
}